Page MenuHomePhabricator

Handle result of Amazon API calls
Closed, ResolvedPublic2 Story Points

Description

After making ConfirmOrderReference, authorize and capture API calls, we will either have problems to solve or a successful payment. On success, send the donor to the thank you page and drop their info into the completed donation queue. On correctable failure, let 'em correct it. On total failure, finalize status to failed and send the donor to the fail page.

Details

Related Gerrit Patches:
mediawiki/extensions/DonationInterface : amazonHandle results of Amazon API calls
mediawiki/extensions/DonationInterface : amazonDon't submit an Amazon payment with invalid amount
mediawiki/extensions/DonationInterface : amazonAllow callables in GatewayAdapter::$error_map
mediawiki/extensions/DonationInterface : amazonMove Amazon test responses into their own files
mediawiki/extensions/DonationInterface : amazonAdd amount and currency to Amazon API post

Event Timeline

Ejegg created this task.Aug 5 2015, 9:51 PM
Ejegg raised the priority of this task from to Needs Triage.
Ejegg updated the task description. (Show Details)
Ejegg added a subscriber: Ejegg.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 5 2015, 9:51 PM
atgo triaged this task as High priority.Aug 19 2015, 9:29 PM
atgo set Security to None.
Ejegg edited a custom field.Aug 19 2015, 10:36 PM
Ejegg claimed this task.Aug 25 2015, 8:19 PM
Ejegg moved this task from Backlog to Doing on the Fundraising Sprint Rowlf the Dog board.

Change 235057 had a related patch set uploaded (by Ejegg):
Add amount and currency to Amazon API post

https://gerrit.wikimedia.org/r/235057

Change 235057 merged by jenkins-bot:
Add amount and currency to Amazon API post

https://gerrit.wikimedia.org/r/235057

Change 233993 had a related patch set uploaded (by Ejegg):
WIP handle errors in Amazon API calls

https://gerrit.wikimedia.org/r/233993

Change 235293 had a related patch set uploaded (by Ejegg):
Allow callables in GatewayAdapter::$error_map

https://gerrit.wikimedia.org/r/235293

Change 235369 had a related patch set uploaded (by Ejegg):
Move Amazon test responses into their own files

https://gerrit.wikimedia.org/r/235369

Change 235369 merged by jenkins-bot:
Move Amazon test responses into their own files

https://gerrit.wikimedia.org/r/235369

Change 235293 merged by jenkins-bot:
Allow callables in GatewayAdapter::$error_map

https://gerrit.wikimedia.org/r/235293

Change 237748 had a related patch set uploaded (by Ejegg):
Don't submit an Amazon payment with invalid amount

https://gerrit.wikimedia.org/r/237748

Change 233993 merged by jenkins-bot:
Handle results of Amazon API calls

https://gerrit.wikimedia.org/r/233993

Change 237748 merged by jenkins-bot:
Don't submit an Amazon payment with invalid amount

https://gerrit.wikimedia.org/r/237748

Ejegg closed this task as Resolved.Sep 18 2015, 8:12 PM